Upgrade to 4.5.7 and add some plugin